curl -X PATCH "https://api.nedzo.ai/v1/templates/123e4567-e89b-12d3-a456-426614174000" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Updated Template Name",
"description": "Updated description",
"visibility": "public"
}'
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Updated Template Name",
"description": "Updated description",
"templateType": "agent",
"visibility": "public",
"schemaVersion": "1.0.0",
"snapshotSizeBytes": 15240,
"createdAt": "2026-01-15T10:30:00Z",
"updatedAt": "2026-01-16T08:00:00Z"
}
Templates
Update template
Update a template’s name, description, or visibility setting via the Nedzo REST API. Only the fields you provide in the request body are changed.
PATCH
/
templates
/
{id}
curl -X PATCH "https://api.nedzo.ai/v1/templates/123e4567-e89b-12d3-a456-426614174000" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Updated Template Name",
"description": "Updated description",
"visibility": "public"
}'
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Updated Template Name",
"description": "Updated description",
"templateType": "agent",
"visibility": "public",
"schemaVersion": "1.0.0",
"snapshotSizeBytes": 15240,
"createdAt": "2026-01-15T10:30:00Z",
"updatedAt": "2026-01-16T08:00:00Z"
}
Update template metadata. Only provided fields will be updated. At least one field must be provided.
Body Parameters
string
Template name (1-255 characters).
string | null
Template description. Set to
null to clear.string
Template visibility. One of
public or private. Public templates can be previewed without authentication and imported by any account.curl -X PATCH "https://api.nedzo.ai/v1/templates/123e4567-e89b-12d3-a456-426614174000" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Updated Template Name",
"description": "Updated description",
"visibility": "public"
}'
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Updated Template Name",
"description": "Updated description",
"templateType": "agent",
"visibility": "public",
"schemaVersion": "1.0.0",
"snapshotSizeBytes": 15240,
"createdAt": "2026-01-15T10:30:00Z",
"updatedAt": "2026-01-16T08:00:00Z"
}
Was this page helpful?
